Subject: Re: [PATCH 1/4] [trivial] Fix comment typo

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Nov 2013 09:41:18 -0800

Junio C Hamano <[email-masked]> writes:

> Masanari Iida <[email-masked]> writes:
>
>> Correct spelling typo
>>
>> Signed-off-by: Masanari Iida <[email-masked]>
>> ---
>>  git-bisect.sh | 2 +-
>>  pathspec.c    | 4 ++--
>>  wrapper.c     | 2 +-
>>  3 files changed, 4 insertions(+), 4 deletions(-)
>>
>> diff --git a/git-bisect.sh b/git-bisect.sh
>> index 9f064b6..ebac284 100755
>> --- a/git-bisect.sh
>> +++ b/git-bisect.sh
>> @@ -137,7 +137,7 @@ bisect_start() {
>>  			# cogito usage, and cogito users should understand
>>  			# it relates to cg-seek.
>>  			[ -s "$GIT_DIR/head-name" ] &&
>> -				die "$(gettext "won't bisect on seeked tree")"
>> +				die "$(gettext "won't bisect on sought tree")"
>
> The phrasing before your "fix" comes from Cogito which called the
> state cg-seek left in a "seeked tree", I think, so this change is
> probably a wrong thing to do.

As Cogito is long dead, I do not think this error message will be
shown to normal users at all, and the only people who will see it
would be the ones who know what Cogito is/was.

I'll rephrase this part and queue the attached, at least for now.
All other patches looked good (except for 3/4, which I'll forward to
Pat after tweaking the paths to match his tree) and I will queue
them.

Thanks.

-- >8 --
From: Masanari Iida <[email-masked]>
Date: Wed, 13 Nov 2013 00:17:42 +0900
Subject: [PATCH] typofixes: fix misspelt comments

Signed-off-by: Masanari Iida <[email-masked]>
Signed-off-by: Junio C Hamano <[email-masked]>
---
 git-bisect.sh | 2 +-
 pathspec.c    | 4 ++--
 wrapper.c     | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index 9f064b6..73b4c14 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -137,7 +137,7 @@ bisect_start() {
 			# cogito usage, and cogito users should understand
 			# it relates to cg-seek.
 			[ -s "$GIT_DIR/head-name" ] &&
-				die "$(gettext "won't bisect on seeked tree")"
+				die "$(gettext "won't bisect on cg-seek'ed tree")"
 			start_head="${head#refs/heads/}"
 			;;
 		*)
diff --git a/pathspec.c b/pathspec.c
index ad1a9f5..be962d4 100644
--- a/pathspec.c
+++ b/pathspec.c
@@ -193,11 +193,11 @@ static unsigned prefix_pathspec(struct pathspec_item *item,
 	magic |= short_magic;
 	*p_short_magic = short_magic;
 
-	/* --noglob-pathspec adds :(literal) _unless_ :(glob) is specifed */
+	/* --noglob-pathspec adds :(literal) _unless_ :(glob) is specified */
 	if (noglob_global && !(magic & PATHSPEC_GLOB))
 		global_magic |= PATHSPEC_LITERAL;
 
-	/* --glob-pathspec is overriden by :(literal) */
+	/* --glob-pathspec is overridden by :(literal) */
 	if ((global_magic & PATHSPEC_GLOB) && (magic & PATHSPEC_LITERAL))
 		global_magic &= ~PATHSPEC_GLOB;
 
diff --git a/wrapper.c b/wrapper.c
index 9a6aaaf..0cc5636 100644
--- a/wrapper.c
+++ b/wrapper.c
@@ -133,7 +133,7 @@ void *xcalloc(size_t nmemb, size_t size)
 /*
  * Limit size of IO chunks, because huge chunks only cause pain.  OS X
  * 64-bit is buggy, returning EINVAL if len >= INT_MAX; and even in
- * the absense of bugs, large chunks can result in bad latencies when
+ * the absence of bugs, large chunks can result in bad latencies when
  * you decide to kill the process.
  */
 #define MAX_IO_SIZE (8*1024*1024)
-- 
1.8.5-rc1-310-g1febc12